Wierd iTMS error message

Discussion in 'Mac Apps and Mac App Store' started by caveman_uk, Jun 16, 2004.

  1. caveman_uk Guest

    caveman_uk

    Joined:
    Feb 17, 2003
    Location:
    Hitchin, Herts, UK
    #1
    OK, I've set up to use the UK iTMS and bought a couple of songs. Currently however whenever I go to the store I get this error

    'You must upgrade to the latest version of iTunes to use the iTunes music store'

    I am using the latest version. When I use the search box I can access the store that way but I currently can't get to the front page. Is iTMS Europe swamped already????
     
  2. caveman_uk thread starter Guest

    caveman_uk

    Joined:
    Feb 17, 2003
    Location:
    Hitchin, Herts, UK
  3. russed macrumors 68000

    russed

    Joined:
    Jan 16, 2004
    Location:
    London, England

Share This Page